Bug 603549 - xorg-x11-server-Xorg crash with signal 11 with desktop effects enabled
xorg-x11-server-Xorg crash with signal 11 with desktop effects enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-13 15:39 EDT by Andre Dierker
Modified: 2018-04-11 10:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (629 bytes, text/plain)
2010-06-13 15:39 EDT, Andre Dierker
no flags Details
Xorg.0.log.old (96.86 KB, text/plain)
2010-06-13 15:40 EDT, Andre Dierker
no flags Details
Xorg.0.log (89.36 KB, text/plain)
2010-06-13 15:41 EDT, Andre Dierker
no flags Details
dmsg (37.03 KB, text/plain)
2010-06-13 15:42 EDT, Andre Dierker
no flags Details
THE RIGHT Xorg.0.log.old (88.00 KB, text/plain)
2010-06-14 08:59 EDT, Andre Dierker
no flags Details
dmesg output (31.53 KB, application/octet-stream)
2010-09-11 08:31 EDT, Gerhard Kuehbauer
no flags Details
Xorg.0.log (85.79 KB, text/x-log)
2010-09-11 08:32 EDT, Gerhard Kuehbauer
no flags Details
Xorg.0.log.old (87.94 KB, application/x-trash)
2010-09-11 08:32 EDT, Gerhard Kuehbauer
no flags Details

  None (edit)
Description Andre Dierker 2010-06-13 15:39:17 EDT
Created attachment 423679 [details]
xorg.conf

Description of problem:

a lot of Xorg crashes with desktop effects enabled


Version-Release number of selected component (if applicable):

kernel 2.6.33.5-112.fc13.x86_64
kernel 2.6.33.4-95.fc13.x86_64
xorg-x11-server-Xorg xorg-x11-server-Xorg-1.8.0-12.fc13.x86_64
xorg-x11-drv-radeonhd-1.3.0-5.4.20100210git.fc13.x86_64
mesa-dri-drivers-experimental-7.8.1-6.fc13.x86_64


How reproducible:

Start X with desktop effects enabled, wait some minutes or some seconds

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

lspci -v|grep VGA
01:05.0 VGA compatible controller: ATI Technologies Inc RS880 [Radeon HD 4200] (prog-if 00 [VGA controller])
lspci -vn|grep VGA
01:05.0 0300: 1002:9710 (prog-if 00 [VGA controller])
Comment 1 Andre Dierker 2010-06-13 15:40:51 EDT
Created attachment 423680 [details]
Xorg.0.log.old
Comment 2 Andre Dierker 2010-06-13 15:41:19 EDT
Created attachment 423681 [details]
Xorg.0.log
Comment 3 Andre Dierker 2010-06-13 15:42:42 EDT
Created attachment 423682 [details]
dmsg
Comment 4 Matěj Cepl 2010-06-14 07:12:05 EDT
(In reply to comment #0)
> Description of problem:
> a lot of Xorg crashes with desktop effects enabled

Sorry, what exactly happens? I don't see any crashes in either Xorg.0.log nor in dmesg output (have you captured the dmesg output from the still running system but AFTER the crash?).
Comment 5 Andre Dierker 2010-06-14 08:58:09 EDT
sorry it was the wrong log

here is the backtrace and the right log:

Backtrace:
[ 18737.962] 0: /usr/bin/X (xorg_backtrace+0x28) [0x49e708]
[ 18737.962] 1: /usr/bin/X (0x400000+0x603d9) [0x4603d9]
[ 18737.962] 2: /lib64/libc.so.6 (0x3edda00000+0x32a20) [0x3edda32a20]
[ 18737.962] 3: /usr/bin/X (dixLookupPrivate+0xa) [0x445caa]
[ 18737.962] 4: /usr/lib64/xorg/modules/extensions/libglx.so (0x7ffde0951000+0x3e99b) [0x7ffde098f99b]
[ 18737.962] 5: /usr/lib64/xorg/modules/extensions/libglx.so (0x7ffde0951000+0x35e6f) [0x7ffde0986e6f]
[ 18737.962] 6: /usr/bin/X (FreeResource+0x140) [0x449570]
[ 18737.962] 7: /usr/lib64/xorg/modules/extensions/libglx.so (0x7ffde0951000+0x32f19) [0x7ffde0983f19]
[ 18737.963] 8: /usr/lib64/xorg/modules/extensions/libglx.so (0x7ffde0951000+0x35c80) [0x7ffde0986c80]
[ 18737.963] 9: /usr/bin/X (0x400000+0x2c32c) [0x42c32c]
[ 18737.963] 10: /usr/bin/X (0x400000+0x219ca) [0x4219ca]
[ 18737.963] 11: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x3edda1ec5d]
[ 18737.963] 12: /usr/bin/X (0x400000+0x21579) [0x421579]
[ 18737.963] Segmentation fault at address 0x290
[ 18737.963] 
Fatal server error:
[ 18737.963] Caught signal 11 (Segmentation fault). Server aborting
[ 18737.963] 
[ 18737.963] 
Please consult the Fedora Project support 
	 at http://bodhi.fedoraproject.org/
 for help. 
[ 18737.963] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 18737.963]
Comment 6 Andre Dierker 2010-06-14 08:59:14 EDT
Created attachment 423820 [details]
THE RIGHT Xorg.0.log.old
Comment 7 Andre Dierker 2010-06-14 09:06:12 EDT
I didn't get any other messages related to the crashes.
Comment 8 Andre Dierker 2010-06-30 14:38:33 EDT
the crashes are still present with
mesa-dri-drivers-experimental-7.9-0.2.fc14.x86_64 from rawhide

Backtrace from Xorg.0.log.old

[   134.081] 0: /usr/bin/X (xorg_backtrace+0x28) [0x462518]
[   134.081] 1: /usr/bin/X (0x400000+0x62479) [0x462479]
[   134.081] 2: /lib64/libc.so.6 (0x3edda00000+0x32a20) [0x3edda32a20]
[   134.081] 3: /usr/bin/X (dixLookupPrivate+0xa) [0x42a3fa]
[   134.081] 4: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f32bb3d1000+0x3e99b) [0x7f32bb40f99b]
[   134.081] 5: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f32bb3d1000+0x35e6f) [0x7f32bb406e6f]
[   134.081] 6: /usr/bin/X (FreeResource+0x140) [0x42fae0]
[   134.081] 7: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f32bb3d1000+0x32f19) [0x7f32bb403f19]
[   134.081] 8: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f32bb3d1000+0x35c80) [0x7f32bb406c80]
[   134.082] 9: /usr/bin/X (0x400000+0x3c66c) [0x43c66c]
[   134.082] 10: /usr/bin/X (0x400000+0x219ca) [0x4219ca]
[   134.082] 11: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x3edda1ec5d]
[   134.082] 12: /usr/bin/X (0x400000+0x21579) [0x421579]
[   134.082] Segmentation fault at address 0x290
[   134.082] 
Fatal server error:
[   134.082] Caught signal 11 (Segmentation fault). Server aborting
[   134.082] 
[   134.082] 
Please consult the Fedora Project support
Comment 9 Gerhard Kuehbauer 2010-09-11 08:31:50 EDT
Created attachment 446659 [details]
dmesg output
Comment 10 Gerhard Kuehbauer 2010-09-11 08:32:19 EDT
Created attachment 446660 [details]
Xorg.0.log
Comment 11 Gerhard Kuehbauer 2010-09-11 08:32:51 EDT
Created attachment 446661 [details]
Xorg.0.log.old
Comment 12 Gerhard Kuehbauer 2010-09-11 08:33:56 EDT
I have a very similar problem here on Fedora 32bit. Plenty of xorg-crashes with radeon and desktop-effects enabled. Using Fedora 13 with KDE 4.4.5 and a Sapphire ATI Radeon HD4350 with the opensource radeon-driver. 


Additional info:

- X.Org X Server 1.8.2
- Kernel 2.6.34.6-54
- mesa-dri-drivers 7.8.1-8

OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: Mesa DRI R600 (RV710 954F) 20090101  TCL
OpenGL version string: 2.0 Mesa 7.8.1
OpenGL shading language version string: 1.10


Description of the problem:

- Enable desktop-effects 
- Open any window and minimize it to the panel 
- Click on the taskbar entry to maximize it again
- Xorg crashes and throws me back to the KDM prompt

Reproducible: always

Disable desktop-effects and Xorg will not crash. On my System there are no crashes with compositing enabled + KMS enabled but KDE becomes terribly slow and nearly unusable. I attached dmesg, Xorg.0.log and Xorg.0.log.old. Please take a look at Xorg.0.log.old starting at line 1389.
Comment 13 Bug Zapper 2011-06-02 07:01:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-27 14:08:49 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.